package com.gingersoft.gsa.cloud.function;

import android.app.Activity;
import android.content.Context;

import com.gingersoft.gsa.cloud.database.bean.Function;

import java.util.List;

/**
 * @author : bin
 * @create date: 2020-11-23
 * @update date: 2020-11-23
 * @description:定義所有功能列表的操作
 */
public interface XFunctionAction {

    void inJectFunctionAnnoations(Object view,Class<?> functionModules);

    List<Function> getFunctionItems(String targetResKey,FModule[] fModules);

    Function getFunctionItem(String targetResKey,FModule fModules);

    List<Function> getFunctionsByResModule(List<Function> functionList);

    void updateFunctions(List<Function> functions);
}
